RTW(4)

NAME
rtw - Realtek RTL8180L IEEE 802.11b wireless network driver

SYNOPSIS
rtw* at cardbus? function ?
rtw* at pci? dev ? function ?

DESCRIPTION
The rtw driver supports PCI/CardBus 802.11b wireless adapters based on the Realtek RTL8180L.

A variety of radio transceivers can be found in these devices, including the Philips SA2400A, Maxim MAX2820, and GCT GRF5101, though not all of them are currently supported.

These are the modes the rtw driver can operate in:

BSS mode
    Also known as infrastructure mode, this is used when associating with an access point, through which all traffic passes. This mode is the default.

IBSS mode
    Also known as IEEE ad-hoc mode or peer-to-peer mode. This is the standardized method of operating without an access point. Stations associate with a service set. However, actual connections between stations are peer-to-peer.

Host AP
    In this mode the driver acts as an access point (base station) for other cards.

monitor mode
    In this mode the driver is able to receive packets without associating with an access point. This disables the internal receive filter and enables the card to capture packets from networks which it wouldn't normally have access to, or to scan for access points.

rtw supports software WEP. Wired Equivalent Privacy (WEP) is the de facto encryption standard for wireless networks. It can be typically configured in one of three modes: no encryption; 40-bit encryption; or 104-bit encryption. Unfortunately, due to serious weaknesses in WEP protocol it is strongly recommended that it not be used as the sole mechanism to secure wireless communication. WEP is not enabled by default.

CONFIGURATION
The rtw driver can be configured at runtime with ifconfig(8) or on boot with ifconfig.if(5) using the following parameters:

bssid bssid
    Set the desired BSSID.

-bssid
    Unset the desired BSSID. The interface will automatically select a BSSID in this mode, which is the default.

chan n
    Set the channel (radio frequency) to be used by the driver based on the given channel ID n.

-chan
    Unset the desired channel to be used by the driver. The driver will automatically select a channel in this mode, which is the default.

media media
    The rtw driver supports the following media types:

    autoselect
        Enable autoselection of the media type and options.
    DS1 Set 802.11b DS 1Mbps operation.
    DS2 Set 802.11b DS 2Mbps operation.
    DS5 Set 802.11b DS 5.5Mbps operation.
    DS11
        Set 802.11b DS 11Mbps operation.

mediaopt opts
    The rtw driver supports the following media options:

    hostap
        Select Host AP operation.
    ibss
        Select IBSS operation.
    monitor
        Select monitor mode.

-mediaopt opts
    Disable the specified media options on the driver and return it to the default mode of operation (BSS).

ssid id
    Set the network ID. The id can either be any text string up to 32 characters in length, or a series of hexadecimal digits up to 64 digits. An empty id string allows the interface to connect to any available access points. By default the rtw driver uses an empty string. Note that network ID is synonymous with Extended Service Set ID (ESSID).

nwkey key
    Enable WEP encryption using the specified key. The key can either be a string, a series of hexadecimal digits (preceded by ‘0x’), or a set of keys of the form “n:k1,k2,k3,k4”, where ‘n’ specifies which of the keys will be used for transmitted packets, and the four keys, “k1” through “k4”, are configured as WEP keys. If a set of keys is specified, a comma (‘’), within the key must be escaped with a backslash. Note that if multiple keys are used, their order must be the same within the network. rtw is capable of using both 40-bit (5 characters or 10 hexadecimal digits) or 104-bit (13 characters or 26 hexadecimal digits) keys.

-nwkey
    Disable WEP encryption. This is the default mode of operation.

nwkey persist
    Enable WEP encryption with the persistent key stored in the network card.

HARDWARE
The following adapters should work:

Card | Bus
Belkin F5D6020 V3 | CardBus
Buffalo WLI-CB-B11 | CardBus
Corega CG-WLCB11V3 | CardBus
D-Link DWL-610 | CardBus
Level-One WPC-0101 | CardBus
Linksys WPC11 v4 | CardBus
Netgear MA521 | CardBus
Ovislink AirLive WL-1120PCM | CardBus
Planet WL-3553 | CardBus
TrendNET TEW-266PC | CardBus
VCTnet PC-11B1 | CardBus

EXAMPLES
The following ifconfig.if(5) example creates a host-based access point on boot:

    inet 192.168.1.1 255.255.255.0 NONE media autoselect \
    	mediaopt hostap ssid my_net chan 11

Configure rtw0 for WEP, using hex key “0x1deadbeef1”:

    # ifconfig rtw0 nwkey 0x1deadbeef1

Return rtw0 to its default settings:

    # ifconfig rtw0 -bssid -chan media autoselect \
    	ssid "" -nwkey

Join an existing BSS network, “my_net”:

    # ifconfig rtw0 192.168.1.1 netmask 0xffffff00 ssid my_net

SEE ALSO
arp(4), cardbus(4), ifmedia(4), intro(4), netintro(4), pci(4), ifconfig.if(5), ifconfig(8) Realtek, http://www.realtek.com.tw.

HISTORY
The rtw device driver first appeared in NetBSD 3.0 and then in OpenBSD 3.7.

AUTHORS
-nosplit The rtw driver was written by David Young <dyoung@NetBSD.org> and ported to OpenBSD by Jonathan Gray <jsg@openbsd.org>, who wrote this man page.

BUGS
Only the Philips SA2400A and Maxim MAX2820 RF transceivers are known to work. Devices incorporating a GCT RF transceiver are not supported due to a lack of documentation from GCT.

While PCI devices will attach most of them are not able to transmit.